> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.reka.ai/vision/api-reference/metadata-tagging/indexed-tag-v-1-qa-indexedtag-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.reka.ai/_mcp/server. # Indexed Tag Video POST https://vision-agent.api.reka.ai/v1/qa/indexedtag Content-Type: application/json Generate metadata tags for previously indexed videos Reference: https://docs.reka.ai/vision/api-reference/metadata-tagging/indexed-tag-v-1-qa-indexedtag-post ## Authentication - `X-Api-Key` header (required) — API key authentication via X-Api-Key header - `Authorization` header (bearer token, required) — Bearer token authentication via Authorization header ## Request ### Headers - `X-Enable-Overwrite-Metering` (string, optional, nullable) ### Body (application/json) This endpoint expects a VideoTaggingRequest. - `video_id` (string, required) — ID of the video to tag ## Response ### 200 Successful Response - `Metadata Tagging_indexed_tag_v1_qa_indexedtag_post_Response_200` ## Types ### VideoTaggingAdvertisingResult - `Description` (string, required) - `Violence` (boolean, required) - `Profanity` (boolean, required) - `AdultContent` (boolean, required) - `Drugs` (boolean, required) - `Alcohol` (boolean, required) - `Gambling` (boolean, required) - `Political` (boolean, required) - `ExpectedCTR` (double, required) - `ViralityScore` (double, required) - `Keyword` (list of string, required) - `MoodTone` (list of string, required) ## Examples **Request** ```json { "video_id": "string" } ``` **Response** ```json { "Description": "string", "Violence": true, "Profanity": true, "AdultContent": true, "Drugs": true, "Alcohol": true, "Gambling": true, "Political": true, "ExpectedCTR": 1.1, "ViralityScore": 1.1, "Keyword": [ "string" ], "MoodTone": [ "string" ] } ``` **SDK Code** ```python import requests url = "https://vision-agent.api.reka.ai/v1/qa/indexedtag" payload = { "video_id": "string" } headers = { "X-Api-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://vision-agent.api.reka.ai/v1/qa/indexedtag'; const options = { method: 'POST', headers: {'X-Api-Key': '', 'Content-Type': 'application/json'}, body: '{"video_id":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://vision-agent.api.reka.ai/v1/qa/indexedtag" payload := strings.NewReader("{\n \"video_id\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-Api-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://vision-agent.api.reka.ai/v1/qa/indexedtag") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-Api-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"video_id\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://vision-agent.api.reka.ai/v1/qa/indexedtag") .header("X-Api-Key", "") .header("Content-Type", "application/json") .body("{\n \"video_id\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://vision-agent.api.reka.ai/v1/qa/indexedtag', [ 'body' => '{ "video_id": "string" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-Api-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://vision-agent.api.reka.ai/v1/qa/indexedtag"); var request = new RestRequest(Method.POST); request.AddHeader("X-Api-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"video_id\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-Api-Key": "", "Content-Type": "application/json" ] let parameters = ["video_id": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://vision-agent.api.reka.ai/v1/qa/indexedtag")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Documentation for Reka AI APIs.